Subject: Re: linux panic on 4.0.0-rc4

From: Peter Hurley <[email-masked]>
Date: Tue, 17 Mar 2015 16:23:50 -0400

On 03/17/2015 04:16 PM, Pranith Kumar wrote:
> On Tue, Mar 17, 2015 at 4:13 PM, Peter Hurley <[email-masked]> wrote:
>> On 03/17/2015 04:07 PM, Pranith Kumar wrote:
>>> On Tue, Mar 17, 2015 at 4:03 PM, Peter Hurley <[email-masked]> wrote:
>>>>
>>>> Can you send me a complete dmesg capture from a boot with
>>>> this commit reverted?
>>>>
>>>
>>> Here it is. Let me know if you want any boot options enabled. I
>>> removed both debug and verbose boot options.
>>
>> Ok, thanks.
>>
>> This is just like Andreas' problem: with my patch, there is _no_ console.
>>
>> Note those console command line options in your config aren't actually
>> in your kernel command line. That really threw me; I couldn't figure out
>> how you didn't have a tty0 console.
>>
>>> [    0.000000] Kernel command line:
>>> root=UUID=7252209a-6106-41c2-90a3-45b85ac47837 ro video=radeonfb:off
>>> video=offb:off radeon.modeset=1 radeon.agpmode=-1
>>
> 
> Hmm, interesting. These arguments are passed from the yaboot.conf
> which has a line as follows:
> 
> append="video=radeonfb:off video=offb:off radeon.modeset=1 radeon.agpmode=-1"
> 
> I thought this would append these arguments to the default kernel
> command line argument in the config. Apparently it is not. So, the
> resolution for this is to add the console argument to yaboot.conf I
> guess, right?

No, I'm sending a revert anyway, but I thought I'd let you know.

Regards,
Peter Hurley